Index: code/branches/cpp11_v2/src/modules/weapons/projectiles/RocketOld.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/weapons/projectiles/RocketOld.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/weapons/projectiles/RocketOld.cc	(revision 10768)
@@ -117,6 +117,6 @@
         else
         {
-            this->defSndWpnEngine_ = 0;
-            this->defSndWpnLaunch_ = 0;
+            this->defSndWpnEngine_ = nullptr;
+            this->defSndWpnLaunch_ = nullptr;
         }
 
Index: code/branches/cpp11_v2/src/orxonox/CameraManager.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/CameraManager.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/CameraManager.cc	(revision 10768)
@@ -60,5 +60,5 @@
             return this->cameraList_.front();
         else
-            return 0;
+            return nullptr;
     }
 
Index: code/branches/cpp11_v2/src/orxonox/Level.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/Level.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/Level.cc	(revision 10768)
@@ -54,5 +54,5 @@
         this->registerVariables();
         this->xmlfilename_ = this->getFilename();
-        this->xmlfile_ = 0;
+        this->xmlfile_ = nullptr;
     }
 
@@ -178,5 +178,5 @@
             ++i;
         }
-        return 0;
+        return nullptr;
     }
 
@@ -195,5 +195,5 @@
             return this->lodInformation_.find(meshName)->second;
 
-        return 0;
+        return nullptr;
     }
 
@@ -207,5 +207,5 @@
     {
         orxout(internal_info) << "player left level (id: " << player->getClientID() << ", name: " << player->getName() << ')' << endl;
-        player->switchGametype(0);
+        player->switchGametype(nullptr);
     }
 }
Index: code/branches/cpp11_v2/src/orxonox/LevelManager.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/LevelManager.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/LevelManager.cc	(revision 10768)
@@ -161,5 +161,5 @@
             return this->levels_.front();
         else
-            return 0;
+            return nullptr;
     }
 
Index: code/branches/cpp11_v2/src/orxonox/PlayerManager.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/PlayerManager.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/PlayerManager.cc	(revision 10768)
@@ -62,5 +62,5 @@
 
             // create new HumanPlayer instance
-            HumanPlayer* player = new HumanPlayer(0);
+            HumanPlayer* player = new HumanPlayer(nullptr);
             player->setClientID(clientID);
 
@@ -115,5 +115,5 @@
                     return (*it);
         }
-        return 0;
+        return nullptr;
     }
 }
Index: code/branches/cpp11_v2/src/orxonox/Radar.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/Radar.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/Radar.cc	(revision 10768)
@@ -49,6 +49,6 @@
 
     Radar::Radar()
-        : itFocus_(0)
-        , focus_(0)
+        : itFocus_(nullptr)
+        , focus_(nullptr)
         , objectTypeCounter_(0)
     {
@@ -106,5 +106,5 @@
             return *(this->itFocus_);
         else
-            return 0;
+            return nullptr;
     }
 
@@ -126,6 +126,6 @@
         {
             // focus object was deleted, release focus
-            this->focus_ = 0;
-            this->itFocus_ = 0;
+            this->focus_ = nullptr;
+            this->itFocus_ = nullptr;
         }
 
@@ -141,6 +141,6 @@
         {
             // list is empty
-            this->itFocus_ = 0;
-            this->focus_ = 0;
+            this->itFocus_ = nullptr;
+            this->focus_ = nullptr;
         }
 
@@ -156,5 +156,5 @@
             float nextDistance = FLT_MAX;
             float minimumDistance = FLT_MAX;
-            ObjectList<RadarViewable>::iterator itFallback = 0;
+            ObjectList<RadarViewable>::iterator itFallback = nullptr;
 
             for (ObjectList<RadarViewable>::iterator it = ObjectList<RadarViewable>::begin(); it; ++it)
@@ -191,6 +191,6 @@
     void Radar::releaseFocus()
     {
-        this->itFocus_ = 0;
-        this->focus_ = 0;
+        this->itFocus_ = nullptr;
+        this->focus_ = nullptr;
     }
 
Index: code/branches/cpp11_v2/src/orxonox/Scene.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/Scene.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/Scene.cc	(revision 10768)
@@ -84,5 +84,5 @@
             this->rootSceneNode_ = this->sceneManager_->getRootSceneNode();
 
-            this->radar_ = 0;
+            this->radar_ = nullptr;
         }
 
@@ -92,9 +92,9 @@
         this->positiveWorldRange_ = Vector3::UNIT_SCALE *  defaultMaxWorldSize;
         this->gravity_ = Vector3::ZERO;
-        this->physicalWorld_   = 0;
-        this->solver_          = 0;
-        this->dispatcher_      = 0;
-        this->collisionConfig_ = 0;
-        this->broadphase_      = 0;
+        this->physicalWorld_   = nullptr;
+        this->solver_          = nullptr;
+        this->dispatcher_      = nullptr;
+        this->collisionConfig_ = nullptr;
+        this->broadphase_      = nullptr;
 
         this->registerVariables();
@@ -234,9 +234,9 @@
             delete this->collisionConfig_;
             delete this->broadphase_;
-            this->physicalWorld_   = 0;
-            this->solver_          = 0;
-            this->dispatcher_      = 0;
-            this->collisionConfig_ = 0;
-            this->broadphase_      = 0;
+            this->physicalWorld_   = nullptr;
+            this->solver_          = nullptr;
+            this->dispatcher_      = nullptr;
+            this->collisionConfig_ = nullptr;
+            this->broadphase_      = nullptr;
         }
     }
@@ -327,5 +327,5 @@
             ++i;
         }
-        return 0;
+        return nullptr;
     }
 
Index: code/branches/cpp11_v2/src/orxonox/Scene.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/Scene.h	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/Scene.h	(revision 10768)
@@ -111,5 +111,5 @@
         public:
             inline bool hasPhysics() const
-                { return this->physicalWorld_ != 0; }
+                { return this->physicalWorld_ != nullptr; }
             void setPhysicalWorld(bool wantsPhysics);
 
Index: code/branches/cpp11_v2/src/orxonox/Test.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/Test.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/Test.cc	(revision 10768)
@@ -54,9 +54,9 @@
     registerMemberNetworkFunction( Test, printBlaBla );
 
-    Test* Test::instance_ = 0;
+    Test* Test::instance_ = nullptr;
 
     Test::Test(Context* context) : BaseObject(context), Synchronisable(context)
     {
-        assert(instance_==0);
+        assert(instance_==nullptr);
         instance_=this;
         RegisterObject ( Test );
@@ -64,10 +64,10 @@
         registerVariables();
         setSyncMode(0x3);
-        this->pointer_ = 0;
+        this->pointer_ = nullptr;
     }
 
     Test::~Test()
     {
-        instance_=0;
+        instance_=nullptr;
     }
 
Index: code/branches/cpp11_v2/src/orxonox/collisionshapes/CollisionShape.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/collisionshapes/CollisionShape.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/collisionshapes/CollisionShape.cc	(revision 10768)
@@ -57,7 +57,7 @@
         RegisterObject(CollisionShape);
 
-        this->parent_ = 0;
+        this->parent_ = nullptr;
         this->parentID_ = OBJECTID_UNKNOWN;
-        this->collisionShape_ = 0;
+        this->collisionShape_ = nullptr;
         this->position_ = Vector3::ZERO;
         this->orientation_ = Quaternion::IDENTITY;
@@ -154,5 +154,5 @@
     void CollisionShape::notifyDetached()
     {
-        this->parent_ = 0;
+        this->parent_ = nullptr;
         this->parentID_ = OBJECTID_UNKNOWN;
     }
Index: code/branches/cpp11_v2/src/orxonox/collisionshapes/CompoundCollisionShape.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/collisionshapes/CompoundCollisionShape.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/collisionshapes/CompoundCollisionShape.cc	(revision 10768)
@@ -197,5 +197,5 @@
     void CompoundCollisionShape::updatePublicShape()
     {
-        btCollisionShape* primitive = 0; // The primitive shape, if there is one.
+        btCollisionShape* primitive = nullptr; // The primitive shape, if there is one.
         bool bPrimitive = true; // Whether the CompoundCollisionShape has just one non-empty CollisionShape. And that shape also has no transformation.
         bool bEmpty = true; // Whether the CompoundCollisionShape is empty.
@@ -221,7 +221,7 @@
         {
             // If there was none all along, nothing needs to be changed.
-            if (this->collisionShape_ == 0)
+            if (this->collisionShape_ == nullptr)
                 return;
-            this->collisionShape_ = 0;
+            this->collisionShape_ = nullptr;
         }
         // If the CompoundCollisionShape is just a primitive.
@@ -253,5 +253,5 @@
             ++i;
         }
-        return 0;
+        return nullptr;
     }
 
Index: code/branches/cpp11_v2/src/orxonox/collisionshapes/CompoundCollisionShape.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/collisionshapes/CompoundCollisionShape.h	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/collisionshapes/CompoundCollisionShape.h	(revision 10768)
@@ -75,5 +75,5 @@
             void updatePublicShape();
             inline virtual btCollisionShape* createNewShape() const
-                { assert(false); return 0; }
+                { assert(false); return nullptr; }
 
             btCompoundShape* compoundShape_;
Index: code/branches/cpp11_v2/src/orxonox/collisionshapes/WorldEntityCollisionShape.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/collisionshapes/WorldEntityCollisionShape.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/collisionshapes/WorldEntityCollisionShape.cc	(revision 10768)
@@ -54,5 +54,5 @@
         CollisionShape::updateParent();
 
-        assert(this->worldEntityOwner_ != 0);
+        assert(this->worldEntityOwner_ != nullptr);
         this->worldEntityOwner_->notifyCollisionShapeChanged();
     }
Index: code/branches/cpp11_v2/src/orxonox/controllers/ArtificialController.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/controllers/ArtificialController.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/controllers/ArtificialController.cc	(revision 10768)
@@ -177,8 +177,8 @@
             {
                 this->weaponModes_.clear(); // reset previous weapon information
-                WeaponSlot* wSlot = 0;
+                WeaponSlot* wSlot = nullptr;
                 for(int l=0; (wSlot = pawn->getWeaponSlot(l)) ; l++)
                 {
-                    WeaponMode* wMode = 0;
+                    WeaponMode* wMode = nullptr;
                     for(int i=0; (wMode = wSlot->getWeapon()->getWeaponmode(i)) ; i++)
                     {
@@ -249,5 +249,5 @@
             return this->waypoints_[index];
         else
-            return 0;
+            return nullptr;
     }
 
Index: code/branches/cpp11_v2/src/orxonox/controllers/Controller.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/controllers/Controller.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/controllers/Controller.cc	(revision 10768)
@@ -40,6 +40,6 @@
         RegisterObject(Controller);
 
-        this->player_ = 0;
-        this->controllableEntity_ = 0;
+        this->player_ = nullptr;
+        this->controllableEntity_ = nullptr;
         this->bGodMode_ = false;
         this->team_=-1;
Index: code/branches/cpp11_v2/src/orxonox/controllers/DroneController.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/controllers/DroneController.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/controllers/DroneController.cc	(revision 10768)
@@ -49,6 +49,6 @@
         RegisterObject(DroneController);
 
-        this->owner_ = 0;
-        this->drone_ = 0;
+        this->owner_ = nullptr;
+        this->drone_ = nullptr;
         this->isShooting_ = false;
         this->setAccuracy(10);
Index: code/branches/cpp11_v2/src/orxonox/controllers/FormationController.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/controllers/FormationController.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/controllers/FormationController.cc	(revision 10768)
@@ -72,9 +72,9 @@
         RegisterObject(FormationController);
 
-        this->target_ = 0;
+        this->target_ = nullptr;
         this->formationFlight_ = false;
         this->passive_ = false;
         this->maxFormationSize_ = STANDARD_MAX_FORMATION_SIZE;
-        this->myMaster_ = 0;
+        this->myMaster_ = nullptr;
         this->freedomCount_ = 0;
 
@@ -104,5 +104,5 @@
                     {
                         orxout(internal_error) << this << " is still master in " << (*it) << endl;
-                        it->myMaster_ = 0;
+                        it->myMaster_ = nullptr;
                     }
 
@@ -142,5 +142,5 @@
         for (ObjectList<Pawn>::iterator it = ObjectList<Pawn>::begin(); it; ++it)
         {
-            Controller* controller = 0;
+            Controller* controller = nullptr;
 
             if (it->getController())
@@ -173,5 +173,5 @@
         for (ObjectList<Pawn>::iterator it = ObjectList<Pawn>::begin(); it; ++it)
         {
-            Controller* controller = 0;
+            Controller* controller = nullptr;
 
             if (it->getController())
@@ -203,5 +203,5 @@
         for (ObjectList<Pawn>::iterator it = ObjectList<Pawn>::begin(); it; ++it)
         {
-            Controller* controller = 0;
+            Controller* controller = nullptr;
 
             if (it->getController())
@@ -230,5 +230,5 @@
         for (ObjectList<Pawn>::iterator it = ObjectList<Pawn>::begin(); it; ++it)
         {
-            Controller* controller = 0;
+            Controller* controller = nullptr;
 
             if (it->getController())
@@ -383,5 +383,5 @@
         }
 
-        this->myMaster_ = 0;
+        this->myMaster_ = nullptr;
         this->state_ = FREE;
     }
@@ -411,5 +411,5 @@
 
             //has it an FormationController?
-            Controller* controller = 0;
+            Controller* controller = nullptr;
 
             if (it->getController())
@@ -458,5 +458,5 @@
         {
             this->state_ = MASTER;
-            this->myMaster_ = 0;
+            this->myMaster_ = nullptr;
         }
     }
@@ -518,5 +518,5 @@
             newMaster->state_ = MASTER;
             newMaster->slaves_ = this->slaves_;
-            newMaster->myMaster_ = 0;
+            newMaster->myMaster_ = nullptr;
 
             for(std::vector<FormationController*>::iterator it = newMaster->slaves_.begin(); it != newMaster->slaves_.end(); it++)
@@ -547,5 +547,5 @@
                 newMaster->state_ = MASTER;
                 newMaster->slaves_ = this->slaves_;
-                newMaster->myMaster_ = 0;
+                newMaster->myMaster_ = nullptr;
 
                 for(std::vector<FormationController*>::iterator it = newMaster->slaves_.begin(); it != newMaster->slaves_.end(); it++)
@@ -572,5 +572,5 @@
         {
             (*it)->state_ = FREE;
-            (*it)->myMaster_ = 0;
+            (*it)->myMaster_ = nullptr;
         }
         this->slaves_.clear();
@@ -629,5 +629,5 @@
 
         //search new Master, then take lead
-        if (this->state_==FREE && this->myMaster_==0)
+        if (this->state_==FREE && this->myMaster_==nullptr)
         {
           searchNewMaster();
@@ -654,5 +654,5 @@
                  (*it)->myMaster_=this;
             }
-            this->myMaster_=0;
+            this->myMaster_=nullptr;
             this->state_=MASTER;
         }
@@ -779,5 +779,5 @@
         for (ObjectList<Pawn>::iterator it = ObjectList<Pawn>::begin(); it; ++it)
         {
-            Controller* controller = 0;
+            Controller* controller = nullptr;
 
             if (it->getController())
@@ -943,5 +943,5 @@
     void FormationController::forgetTarget()
     {
-        this->target_ = 0;
+        this->target_ = nullptr;
         this->bShooting_ = false;
     }
@@ -963,5 +963,5 @@
         int team2 = entity2->getTeam();
 
-        Controller* controller = 0;
+        Controller* controller = nullptr;
         if (entity1->getController())
             controller = entity1->getController();
@@ -996,5 +996,5 @@
         }
 
-        TeamBaseMatchBase* base = 0;
+        TeamBaseMatchBase* base = nullptr;
         base = orxonox_cast<TeamBaseMatchBase*>(entity1);
         if (base)
@@ -1030,5 +1030,5 @@
         }
 
-        DroneController* droneController = 0;
+        DroneController* droneController = nullptr;
         droneController = orxonox_cast<DroneController*>(entity1->getController());
         if (droneController && static_cast<ControllableEntity*>(droneController->getOwner()) == entity2)
Index: code/branches/cpp11_v2/src/orxonox/controllers/HumanController.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/controllers/HumanController.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/controllers/HumanController.cc	(revision 10768)
@@ -65,5 +65,5 @@
     RegisterUnloadableClass(HumanController);
 
-    HumanController* HumanController::localController_s = 0;
+    HumanController* HumanController::localController_s = nullptr;
 
     HumanController::HumanController(Context* context) : FormationController(context)
@@ -81,5 +81,5 @@
             HumanController::localController_s->removeFromFormation();
         }
-        HumanController::localController_s = 0;
+        HumanController::localController_s = nullptr;
     }
 
Index: code/branches/cpp11_v2/src/orxonox/controllers/NewHumanController.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/controllers/NewHumanController.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/controllers/NewHumanController.cc	(revision 10768)
@@ -58,5 +58,5 @@
     RegisterUnloadableClass(NewHumanController);
 
-    NewHumanController* NewHumanController::localController_s = 0;
+    NewHumanController* NewHumanController::localController_s = nullptr;
 
     NewHumanController::NewHumanController(Context* context)
@@ -445,6 +445,6 @@
             pawn->setAimPosition( mouseRay.getOrigin() + mouseRay.getDirection() * 3000 );
 
-        if( this->getControllableEntity() && this->getControllableEntity()->getTarget() != 0 )
-            this->getControllableEntity()->setTarget( 0 );
+        if( this->getControllableEntity() && this->getControllableEntity()->getTarget() != nullptr )
+            this->getControllableEntity()->setTarget( nullptr );
 
         //return this->controllableEntity_->getWorldPosition() + (this->controllableEntity_->getWorldOrientation() * Vector3::NEGATIVE_UNIT_Z * 2000);
Index: code/branches/cpp11_v2/src/orxonox/controllers/WaypointPatrolController.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/controllers/WaypointPatrolController.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/controllers/WaypointPatrolController.cc	(revision 10768)
@@ -101,5 +101,5 @@
 
         if (shortestsqdistance > (this->alertnessradius_ * this->alertnessradius_))
-            this->target_ = 0;
+            this->target_ = nullptr;
     }
 }
Index: code/branches/cpp11_v2/src/orxonox/gamestates/GSLevel.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gamestates/GSLevel.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/gamestates/GSLevel.cc	(revision 10768)
@@ -65,8 +65,8 @@
     GSLevel::GSLevel(const GameStateInfo& info)
         : GameState(info)
-        , gameInputState_(0)
-        , guiMouseOnlyInputState_(0)
-        , guiKeysOnlyInputState_(0)
-        , startFile_(0)
+        , gameInputState_(nullptr)
+        , guiMouseOnlyInputState_(nullptr)
+        , guiKeysOnlyInputState_(nullptr)
+        , startFile_(nullptr)
         , bShowIngameGUI_(false)
     {
@@ -143,7 +143,7 @@
 #endif
 
-            gameInputState_->setHandler(0);
-            guiMouseOnlyInputState_->setHandler(0);
-            guiKeysOnlyInputState_->setHandler(0);
+            gameInputState_->setHandler(nullptr);
+            guiMouseOnlyInputState_->setHandler(nullptr);
+            guiKeysOnlyInputState_->setHandler(nullptr);
             InputManager::getInstance().destroyState("game");
             InputManager::getInstance().destroyState("guiKeysOnly");
Index: code/branches/cpp11_v2/src/orxonox/gamestates/GSMainMenu.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gamestates/GSMainMenu.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/gamestates/GSMainMenu.cc	(revision 10768)
@@ -132,5 +132,5 @@
         InputManager::getInstance().leaveState("MainMenuHackery");
 
-        GraphicsManager::getInstance().setCamera(0);
+        GraphicsManager::getInstance().setCamera(nullptr);
         GUIManager::getInstance().setBackgroundImage("");
         GUIManager::hideGUI("MainMenu");
@@ -140,5 +140,5 @@
         ModifyConsoleCommand(__CC_startClient_name    ).deactivate();
         ModifyConsoleCommand(__CC_startDedicated_name ).deactivate();
-        ModifyConsoleCommand(__CC_setMainMenuSoundPath_name).setObject(0);
+        ModifyConsoleCommand(__CC_setMainMenuSoundPath_name).setObject(nullptr);
     }
 
Index: code/branches/cpp11_v2/src/orxonox/gamestates/GSRoot.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gamestates/GSRoot.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/gamestates/GSRoot.cc	(revision 10768)
@@ -98,8 +98,8 @@
     void GSRoot::deactivate()
     {
-        ModifyConsoleCommand(__CC_setTimeFactor_name).setObject(0);
-        ModifyConsoleCommand(__CC_getTimeFactor_name).setObject(0);
-        ModifyConsoleCommand(__CC_setPause_name).setObject(0);
-        ModifyConsoleCommand(__CC_pause_name).setObject(0);
+        ModifyConsoleCommand(__CC_setTimeFactor_name).setObject(nullptr);
+        ModifyConsoleCommand(__CC_getTimeFactor_name).setObject(nullptr);
+        ModifyConsoleCommand(__CC_setPause_name).setObject(nullptr);
+        ModifyConsoleCommand(__CC_pause_name).setObject(nullptr);
     }
 
Index: code/branches/cpp11_v2/src/orxonox/gamestates/GSServer.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gamestates/GSServer.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/gamestates/GSServer.cc	(revision 10768)
@@ -44,5 +44,5 @@
     GSServer::GSServer(const GameStateInfo& info)
         : GameState(info)
-        , server_(0)
+        , server_(nullptr)
     {
     }
Index: code/branches/cpp11_v2/src/orxonox/gametypes/Asteroids.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gametypes/Asteroids.h	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/gametypes/Asteroids.h	(revision 10768)
@@ -50,5 +50,5 @@
 
         protected:
-            virtual void pawnKilled(Pawn* victim, Pawn* killer = 0);
+            virtual void pawnKilled(Pawn* victim, Pawn* killer = nullptr);
 
         private:
Index: code/branches/cpp11_v2/src/orxonox/gametypes/Deathmatch.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gametypes/Deathmatch.h	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/gametypes/Deathmatch.h	(revision 10768)
@@ -47,5 +47,5 @@
             virtual bool playerChangedName(PlayerInfo* player);
 
-            virtual void pawnKilled(Pawn* victim, Pawn* killer = 0);
+            virtual void pawnKilled(Pawn* victim, Pawn* killer = nullptr);
             virtual void playerScored(PlayerInfo* player, int score = 1);
     };
Index: code/branches/cpp11_v2/src/orxonox/gametypes/Dynamicmatch.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gametypes/Dynamicmatch.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/gametypes/Dynamicmatch.cc	(revision 10768)
@@ -685,5 +685,5 @@
         }
 
-        return 0;
+        return nullptr;
     }
 
Index: code/branches/cpp11_v2/src/orxonox/gametypes/Dynamicmatch.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gametypes/Dynamicmatch.h	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/gametypes/Dynamicmatch.h	(revision 10768)
@@ -64,6 +64,6 @@
             bool tutorial; //goal: new players receive messages how the new gametype works - later it can be switched off.
 
-            virtual bool allowPawnDamage(Pawn* victim, Pawn* originator = 0); //ok - score function and management of parties
-            virtual bool allowPawnDeath(Pawn* victim, Pawn* originator = 0); //ok - simple
+            virtual bool allowPawnDamage(Pawn* victim, Pawn* originator = nullptr); //ok - score function and management of parties
+            virtual bool allowPawnDeath(Pawn* victim, Pawn* originator = nullptr); //ok - simple
             virtual void start();
             virtual void end(); //Wie geht das mit der Punkteausgabe aendern? Z.B: Persoenliche Nachricht?
Index: code/branches/cpp11_v2/src/orxonox/gametypes/Gametype.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gametypes/Gametype.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/gametypes/Gametype.cc	(revision 10768)
@@ -66,5 +66,5 @@
 
         this->defaultControllableEntity_ = Class(Spectator);
-        this->scoreboard_ = 0;
+        this->scoreboard_ = nullptr;
 
         this->bAutoStart_ = false;
@@ -361,5 +361,5 @@
             return fallbackSpawnPoint;
         }
-        return 0;
+        return nullptr;
     }
 
Index: code/branches/cpp11_v2/src/orxonox/gametypes/Gametype.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gametypes/Gametype.h	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/gametypes/Gametype.h	(revision 10768)
@@ -96,9 +96,9 @@
             virtual void playerScored(PlayerInfo* player, int score = 1);
 
-            virtual bool allowPawnHit(Pawn* victim, Pawn* originator = 0);
-            virtual bool allowPawnDamage(Pawn* victim, Pawn* originator = 0);
-            virtual bool allowPawnDeath(Pawn* victim, Pawn* originator = 0);
-
-            virtual void pawnKilled(Pawn* victim, Pawn* killer = 0);
+            virtual bool allowPawnHit(Pawn* victim, Pawn* originator = nullptr);
+            virtual bool allowPawnDamage(Pawn* victim, Pawn* originator = nullptr);
+            virtual bool allowPawnDeath(Pawn* victim, Pawn* originator = nullptr);
+
+            virtual void pawnKilled(Pawn* victim, Pawn* killer = nullptr);
             virtual void pawnPreSpawn(Pawn* pawn);
             virtual void pawnPostSpawn(Pawn* pawn);
Index: code/branches/cpp11_v2/src/orxonox/gametypes/LastManStanding.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gametypes/LastManStanding.h	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/gametypes/LastManStanding.h	(revision 10768)
@@ -69,6 +69,6 @@
             void setConfigValues(); //!< Makes values configurable.
 
-            virtual bool allowPawnDamage(Pawn* victim, Pawn* originator = 0); //!< If a player shoot's an opponent, his punishment countdown will be resetted.
-            virtual bool allowPawnDeath(Pawn* victim, Pawn* originator = 0); //!< Manages each players lives.
+            virtual bool allowPawnDamage(Pawn* victim, Pawn* originator = nullptr); //!< If a player shoot's an opponent, his punishment countdown will be resetted.
+            virtual bool allowPawnDeath(Pawn* victim, Pawn* originator = nullptr); //!< Manages each players lives.
 
             virtual void end(); //!< Sends an end message.
Index: code/branches/cpp11_v2/src/orxonox/gametypes/LastTeamStanding.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gametypes/LastTeamStanding.h	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/gametypes/LastTeamStanding.h	(revision 10768)
@@ -77,6 +77,6 @@
             virtual bool playerLeft(PlayerInfo* player); //!< Manages all local variables.
 
-            virtual bool allowPawnDeath(Pawn* victim, Pawn* originator = 0); //!< Manages each player's lost lives.
-            virtual bool allowPawnDamage(Pawn* victim, Pawn* originator = 0); //!< If a player shoot's an opponent, his punishment countdown will be resetted.
+            virtual bool allowPawnDeath(Pawn* victim, Pawn* originator = nullptr); //!< Manages each player's lost lives.
+            virtual bool allowPawnDamage(Pawn* victim, Pawn* originator = nullptr); //!< If a player shoot's an opponent, his punishment countdown will be resetted.
             virtual void playerStartsControllingPawn(PlayerInfo* player, Pawn* pawn); //!< Resets punishment time and respawn delay.
             void tick (float dt); //!< used to end the game
Index: code/branches/cpp11_v2/src/orxonox/gametypes/Mission.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gametypes/Mission.h	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/gametypes/Mission.h	(revision 10768)
@@ -58,5 +58,5 @@
 
         protected:
-            virtual void pawnKilled(Pawn* victim, Pawn* killer = 0);
+            virtual void pawnKilled(Pawn* victim, Pawn* killer = nullptr);
             bool missionAccomplished_; //<! indicates if player successfully finsihed the mission;
             int lives_; //<! amount of player's lives <-> nr. of retries
Index: code/branches/cpp11_v2/src/orxonox/gametypes/TeamBaseMatch.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gametypes/TeamBaseMatch.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/gametypes/TeamBaseMatch.cc	(revision 10768)
@@ -264,5 +264,5 @@
                 return (*it);
         }
-        return 0;
+        return nullptr;
     }
 
Index: code/branches/cpp11_v2/src/orxonox/gametypes/TeamBaseMatch.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gametypes/TeamBaseMatch.h	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/gametypes/TeamBaseMatch.h	(revision 10768)
@@ -44,5 +44,5 @@
             virtual ~TeamBaseMatch() {}
 
-            virtual bool allowPawnDeath(Pawn* victim, Pawn* originator = 0);
+            virtual bool allowPawnDeath(Pawn* victim, Pawn* originator = nullptr);
             virtual bool allowPawnDamage(Pawn* victim, Pawn* originator);
 
